Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class BeanGenerator

    java.lang.Object
      org.apache.jasper.compiler.GeneratorBase
          org.apache.jasper.compiler.BeanGenerator

All Implemented Interfaces:
  ClassDeclarationPhase, Generator, ServiceMethodPhase

public class BeanGenerator
extends org.apache.jasper.compiler.GeneratorBase
implements ServiceMethodPhase, ClassDeclarationPhase

Generate code for useBean.

Author:
  Mandar Raje

Field Summary
`protected JspCompilationContext` | `ctxt`

Constructor Summary
`BeanGenerator(Mark start, java.util.Hashtable attrs, BeanRepository beanInfo, boolean genSession)`

Method Summary
`void` | `checkSyntax(ServletWriter writer, java.lang.Class phase)`
`void` | `generate(ServletWriter writer, java.lang.Class phase)`
`protected void` | `generateBeanCreate(ServletWriter writer, java.lang.String varname, java.lang.String clsname, java.lang.String beanName, java.lang.String type)`
`boolean` | `generateCoordinates(java.lang.Class phase)`
`void` | `generateMethod(ServletWriter writer, java.lang.Class phase)`
`java.lang.String` | `getAttribute(java.lang.String name)`
`void` | `init(JspCompilationContext ctxt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctxt

    protected JspCompilationContext ctxt

Constructor Detail

### BeanGenerator

    public BeanGenerator(Mark start,
                         java.util.Hashtable attrs,
                         BeanRepository beanInfo,
                         boolean genSession)

Method Detail

### generate

    public void generate(ServletWriter writer,
                         java.lang.Class phase)
                  throws JasperException

  Specified by:
    `generate` in interface `Generator`
  Throws:
    `JasperException`

### checkSyntax

    public void checkSyntax(ServletWriter writer,
                            java.lang.Class phase)
                     throws JasperException

  Throws:
    `JasperException`

### generateMethod

    public void generateMethod(ServletWriter writer,
                               java.lang.Class phase)
                        throws JasperException

  Throws:
    `JasperException`

### generateBeanCreate

    protected void generateBeanCreate(ServletWriter writer,
                                      java.lang.String varname,
                                      java.lang.String clsname,
                                      java.lang.String beanName,
                                      java.lang.String type)

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

### init

    public void init(JspCompilationContext ctxt)
              throws JasperException

  Specified by:
    `init` in interface `Generator`
  Throws:
    `JasperException`

### generateCoordinates

    public boolean generateCoordinates(java.lang.Class phase)

  Specified by:
    `generateCoordinates` in interface `Generator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.